; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_BEGRUESSUNG:
	; ZEILE1	
	rcall GRAFIC_ZEILE_1
	ldi ZH, high(TEXT_BEGRUESSUNG_1*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_1*2)
	rcall GRAFIC_TEXT_Z
	; ZEILE	
	rcall GRAFIC_ZEILE_3
	ldi ZH, high(TEXT_BEGRUESSUNG_2*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_2*2)
	rcall GRAFIC_TEXT_Z
	; ZEILE	
	rcall GRAFIC_ZEILE_5
	ldi ZH, high(TEXT_BEGRUESSUNG_3*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_3*2)
	rcall GRAFIC_TEXT_Z
	; ZEILE	
	rcall GRAFIC_ZEILE_7
	ldi ZH, high(TEXT_BEGRUESSUNG_4*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_4*2)
	rcall GRAFIC_TEXT_Z
	; ZEILE	
	rcall GRAFIC_ZEILE_9
	ldi ZH, high(TEXT_BEGRUESSUNG_5*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_5*2)
	rcall GRAFIC_TEXT_Z
	rjmp wait_1s
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_10_HAUPTMENUE_INITIALISIERUNG:
	; CLEAR		
	rcall GRAFIC_CLEAR
	STS(adr_MENUE),NULL
	; TASTEN	
	ldi ZL,  low(TASTE_02_AUS*2)		; AUS			
	ldi ZH, high(TASTE_02_AUS*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_03_LW_ON*2)		; LW	
	ldi ZH, high(TASTE_03_LW_ON*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_04_MW_ON*2)		; MW	
	ldi ZH, high(TASTE_04_MW_ON*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_05_KW_ON*2)		; KW	
	ldi ZH, high(TASTE_05_KW_ON*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_06_UKW_ON*2)		; UKW	
	ldi ZH, high(TASTE_06_UKW_ON*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_01_RESET*2)		; Reset			
	ldi ZH, high(TASTE_01_RESET*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_11_HELLIGKEIT*2)	; HELLIGKEIT	
	ldi ZH, high(TASTE_11_HELLIGKEIT*2)
	rcall TASTE_DEFINIEREN_Z

	LDS temp,(adr_TASTENSPERRE_AKTIV)
	tst temp
	breq ANZEIGE_10_HAUPTMENUE_INITIALISIERUNG_NO_TS
	ldi ZL,  low(TASTE_08_TASTENSPERRE*2)	; TASTENSPERRE aufheben
	ldi ZH, high(TASTE_08_TASTENSPERRE*2)
	rcall TASTE_DEFINIEREN_Z
ANZEIGE_10_HAUPTMENUE_INITIALISIERUNG_NO_TS:

	ldi ZL,  low(TASTE_21_INFO_AM_FM*2)	; AM-FM-INFO	
	ldi ZH, high(TASTE_21_INFO_AM_FM*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_28_AF*2)			; UKW-AF	
	ldi ZH, high(TASTE_28_AF*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_29_GT*2)			; UKW-GT	
	ldi ZH, high(TASTE_29_GT*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_24_FM_SCAN*2)	; SCAN			
	ldi ZH, high(TASTE_24_FM_SCAN*2)
	rcall TASTE_DEFINIEREN_Z

	rcall TASTEN_RAHMENTYP_HELL
	ldi ZL,  low(TASTE_20_DISPLAY_AM_FM*2)	; FM-HAUPTMENUE
	ldi ZH, high(TASTE_20_DISPLAY_AM_FM*2)
	rcall TASTE_DEFINIEREN_Z
	rcall TASTEN_RAHMENTYP_DUNKEL

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_11_HELLIGKEIT_INITIALISIERUNG:
	; Menue				
	ldi temp,11
	STS(adr_MENUE),temp
	; Zahlenfeld		
	rjmp TASTEN_ZAHLENFELD_INITIALISIERUNG
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_11_HELLIGKEIT:
	rcall TASTEN_ZAHLENFELD_AUSWERTEN
	rcall ANZEIGE_EINGABE_ZAHLENWERT_KURZ
	LDS temp,(adr_TASTE)
	cpi temp,111	; "OK"	
	breq ANZEIGE_12_HELLIGKEIT_OK
	cpi temp,112	; "ESC"	
	breq ANZEIGE_12_HELLIGKEIT_FERTIG
	ret
;-------------------------------------------------------------------------------
ANZEIGE_12_HELLIGKEIT_OK:
	LDS temp1,(adr_EINGABE_ZAHL_BYTE0)
	rcall GRAFIC_HELL_TEMP1		
ANZEIGE_12_HELLIGKEIT_FERTIG:
	rjmp ANZEIGE_10_HAUPTMENUE_INITIALISIERUNG
; #############################################################################
; #############################################################################
; #############################################################################
ANZEIGE_18_FM_EINGABE_FREQUENZ_INITIALISIERUNG:
	; Menue				
	ldi temp,18
	STS(adr_MENUE),temp
	; Zahlenfeld		
	rjmp TASTEN_ZAHLENFELD_INITIALISIERUNG
; #############################################################################
; #############################################################################
; #############################################################################
ANZEIGE_18_FM_EINGABE_FREQUENZ:
	rcall TASTEN_ZAHLENFELD_AUSWERTEN
	rcall ANZEIGE_EINGABE_ZAHLENWERT_KOMMA_KURZ
	LDS temp,(adr_TASTE)
	cpi temp,111	; "OK"	
	breq ANZEIGE_18_FM_EINGABE_FREQUENZ_OK
	cpi temp,112	; "ESC"	
	breq ANZEIGE_18_FM_EINGABE_FREQUENZ_FERTIG
	ret
ANZEIGE_18_FM_EINGABE_FREQUENZ_OK:
	rcall FUNKTION_EINGABE_ZAHL_NACH_TEMP1_4
	rcall FUNKTION_TEMP1_4_MAL_10
	rcall SI4735_FM_TUNE_FREQ_TEMP1_2
ANZEIGE_18_FM_EINGABE_FREQUENZ_FERTIG:
	rjmp ANZEIGE_20_HAUPTMENUE_FM_INITIALISIERUNG
; #############################################################################
; #############################################################################
; #############################################################################
ANZEIGE_19_AM_EINGABE_FREQUENZ_INITIALISIERUNG:
	; Menue				
	ldi temp,19
	STS(adr_MENUE),temp
	; Zahlenfeld		
	rjmp TASTEN_ZAHLENFELD_INITIALISIERUNG
; #############################################################################
; #############################################################################
; #############################################################################
ANZEIGE_19_AM_EINGABE_FREQUENZ:
	rcall TASTEN_ZAHLENFELD_AUSWERTEN
	rcall ANZEIGE_EINGABE_ZAHLENWERT_KURZ
	LDS temp,(adr_TASTE)
	cpi temp,111	; "OK"	
	breq ANZEIGE_19_AM_EINGABE_FREQUENZ_OK
	cpi temp,112	; "ESC"	
	breq ANZEIGE_19_AM_EINGABE_FREQUENZ_FERTIG
	ret
ANZEIGE_19_AM_EINGABE_FREQUENZ_OK:
	rcall FUNKTION_EINGABE_ZAHL_NACH_TEMP1_4
	rcall SI4735_AM_TUNE_FREQ_TEMP1_2
ANZEIGE_19_AM_EINGABE_FREQUENZ_FERTIG:
	rjmp ANZEIGE_30_HAUPTMENUE_AM_INITIALISIERUNG
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_20_HAUPTMENUE_FM_INITIALISIERUNG:
	; Tasten (versteckt)
	rcall TASTEN_VERSTECKT_DEFINIEREN
	; Menue				
	ldi temp,20
	STS(adr_MENUE),temp
	rjmp TASTEN_BEDIENFELD_DEFINIEREN
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_20_HAUPTMENUE_FM:
	; ZEILE1	
	rcall GRAFIC_ZEILE_1
	rcall ANZEIGE_SENDERNAME_FREQUENZ_AM_FM_KURZ	
	rcall GRAFIC_SPACE
	rcall ANZEIGE_TP_KURZ
	rcall ANZEIGE_TA_KURZ
	rcall ANZEIGE_MONO_STEREO_KURZ
	rcall GRAFIC_SPACE
	rcall ANZEIGE_RDS_ZEIT_KURZ
	; ZEILE2	
	rcall GRAFIC_ZEILE_2
	; ZEILE3		
	rcall GRAFIC_ZEILE_3
	; ZEILE4		
	rcall GRAFIC_ZEILE_4
	rcall ANZEIGE_RADIOTEXT1_KURZ
	rcall GRAFIC_ZEILE_5
	rcall ANZEIGE_RADIOTEXT2_KURZ
	rcall GRAFIC_ZEILE_6
	rcall ANZEIGE_RADIOTEXT3_KURZ
	rcall GRAFIC_ZEILE_7
	rcall ANZEIGE_RADIOTEXT4_KURZ
	rcall GRAFIC_ZEILE_8
	rcall ANZEIGE_RADIOTEXT5_KURZ
	rcall GRAFIC_ZEILE_9
	rcall ANZEIGE_RADIOTEXT6_KURZ
	rcall GRAFIC_ZEILE_10
	rcall ANZEIGE_RADIOTEXT7_KURZ
	rcall GRAFIC_ZEILE_11
	rcall ANZEIGE_RADIOTEXT8_KURZ
	rcall PAKET_SENDEN
ret
; #############################################################################
; #############################################################################
; #############################################################################
ANZEIGE_21_INFO_AM_FM_INITIALISIERUNG:
	ldi temp,21
	STS(adr_MENUE),temp
	rjmp TASTEN_VERSTECKT_DEFINIEREN
; #############################################################################
; #############################################################################
; #############################################################################
ANZEIGE_21_INFO_AM_FM:
	; ZEILE-1------------------------------------------------------------------
	rcall GRAFIC_ZEILE_1
	rcall ANZEIGE_MODUS_TEXT_KURZ
	rcall GRAFIC_SPACE
	rcall ANZEIGE_FREQUENZ_AM_FM_KURZ
	rcall GRAFIC_SPACE
	rcall ANZEIGE_SENDERNAME_FREQUENZ_AM_FM_KURZ	
	; ZEILE-2------------------------------------------------------------------
	rcall GRAFIC_ZEILE_2
	rcall ANZEIGE_PI_KURZ
	rcall GRAFIC_SPACE
	rcall ANZEIGE_PI_TEXT_KURZ
	rcall GRAFIC_SPACE
	rcall ANZEIGE_PTY_TEXT_KURZ
	; ZEILE-3------------------------------------------------------------------
	rcall GRAFIC_ZEILE_3
	rcall ANZEIGE_MUSIK_SPRACHE_KURZ
	; ZEILE-4------------------------------------------------------------------
	rcall GRAFIC_ZEILE_4
	; ZEILE-5------------------------------------------------------------------
	rcall GRAFIC_ZEILE_5
	rcall GRAFIC_S
	rcall GRAFIC_N
	rcall GRAFIC_DOPPEL_PUNKT
	rcall ANZEIGE_SNR_KURZ
	rcall GRAFIC_SPACE

	rcall GRAFIC_R
	rcall GRAFIC_S
	rcall GRAFIC_DOPPEL_PUNKT
	rcall ANZEIGE_RSSI_KURZ
	rcall GRAFIC_SPACE

	rcall GRAFIC_S
	rcall GRAFIC_T
	rcall GRAFIC_DOPPEL_PUNKT
	rcall ANZEIGE_STBLEND_KURZ
	; ZEILE-6------------------------------------------------------------------
	rcall GRAFIC_ZEILE_6
	rcall GRAFIC_V
	rcall GRAFIC_O
	rcall GRAFIC_L
	rcall GRAFIC_DOPPEL_PUNKT
	rcall ANZEIGE_VOLUME_IST_KURZ
	rcall ANZEIGE_VOLUME_NORMAL_KURZ
	rcall ANZEIGE_VOLUME_TA_KURZ
	; ZEILE-7------------------------------------------------------------------
	rcall GRAFIC_ZEILE_7
	rcall ANZEIGE_ANZAHL_AF_KURZ
	; ZEILE-8------------------------------------------------------------------
	rcall GRAFIC_ZEILE_8

	; ZEILE-9------------------------------------------------------------------
	rcall GRAFIC_ZEILE_9
	ldi temp1,LOW (RX_VOLUME)			;Property Low Byte
	ldi temp2,HIGH(RX_VOLUME)			;Property High Byte
	rcall ANZEIGE_GET_PROPERTY_TEMP1_2_KURZ
	; ZEILE-10------------------------------------------------------------------
	rcall GRAFIC_ZEILE_10
	ldi temp1,LOW (AM_SEEK_BAND_BOTTOM)	;Property Low Byte			
	ldi temp2,HIGH(AM_SEEK_BAND_BOTTOM)	;Property High Byte			
	rcall ANZEIGE_GET_PROPERTY_TEMP1_2_KURZ
	; ZEILE-11------------------------------------------------------------------
	rcall GRAFIC_ZEILE_11
	ldi temp1,LOW (AM_SEEK_BAND_TOP)	;Property Low Byte			
	ldi temp2,HIGH(AM_SEEK_BAND_TOP)	;Property High Byte			
	rcall ANZEIGE_GET_PROPERTY_TEMP1_2_KURZ
	; ZEILE-12------------------------------------------------------------------
	rcall GRAFIC_ZEILE_12
	ldi temp1,LOW (FM_SEEK_BAND_BOTTOM)	;Property Low Byte			
	ldi temp2,HIGH(FM_SEEK_BAND_BOTTOM)	;Property High Byte			
	rcall ANZEIGE_GET_PROPERTY_TEMP1_2_KURZ
	; ZEILE-13------------------------------------------------------------------
	rcall GRAFIC_ZEILE_13
	ldi temp1,LOW (FM_SEEK_BAND_TOP)	;Property Low Byte			
	ldi temp2,HIGH(FM_SEEK_BAND_TOP)	;Property High Byte			
	rcall ANZEIGE_GET_PROPERTY_TEMP1_2_KURZ
	rjmp PAKET_SENDEN
; #############################################################################
; #############################################################################
; #############################################################################
ANZEIGE_24_FM_SCAN_INITIALISIERUNG:
	rcall GRAFIC_CLEAR
	rcall TASTEN_VERSTECKT_DEFINIEREN
	STS(adr_MENUE),NULL
	; HORIZONTAL				
	ldi temp1,0		; x1
	ldi temp2,100	; y1
	ldi temp3,102	; x2
	ldi temp4,100	; y2
	rcall GRAFIC_GERADE_TEMP1_4
	; HORIZONTAL				
	ldi temp1,0		; x1
	ldi temp2,100-30; y1
	ldi temp3,102	; x2
	ldi temp4,100-30; y2
	rcall GRAFIC_GERADE_TEMP1_4
	; HORIZONTAL				
	ldi temp1,0		; x1
	ldi temp2,100-40; y1
	ldi temp3,102	; x2
	ldi temp4,100-40; y2
	rcall GRAFIC_GERADE_TEMP1_4
	; HORIZONTAL				
	ldi temp1,0		; x1
	ldi temp2,100-50; y1
	ldi temp3,102	; x2
	ldi temp4,100-50; y2
	rcall GRAFIC_GERADE_TEMP1_4
	; VERTIKAL				
	ldi temp1,102	; x1
	ldi temp2,100	; y1
	ldi temp3,102	; x2
	ldi temp4,100-50; y2
	rcall GRAFIC_GERADE_TEMP1_4
	; VERTIKAL				
	ldi temp1,0		; x1
	ldi temp2,100	; y1
	ldi temp3,0		; x2
	ldi temp4,100-50; y2
	rcall GRAFIC_GERADE_TEMP1_4
	; PUNKTE				
	ldi temp1,1
	ldi temp2,100+1
	ldi temp9,10
ANZEIGE_24_FM_SCAN_INITIALISIERUNG_p:
	rcall GRAFIC_PUNKT_TEMP1_2
	subi temp1,(-10)
	dec temp9
	brne ANZEIGE_24_FM_SCAN_INITIALISIERUNG_p

	ldi ZL,LOW (8800)
	ldi ZH,HIGH(8800)
	ldi temp9,204	; Schleife
	clr temp6		; x1
ANZEIGE_24_UKW_SCAN_s:	
	mov temp1,ZL
	mov temp2,ZH
	PUSH ZL
	PUSH ZH
	push temp9
	push temp6
	rcall SI4735_FM_TUNE_FREQ_TEMP1_2

	rcall wait_1ms
	rcall SI4735_FM_TUNE_STATUS
	rcall SI4735_FM_RSQ_STATUS
	rcall GRAFIC_ZEILE_1
	rcall ANZEIGE_FREQUENZ_AM_FM_KURZ
	rcall PAKET_SENDEN

	LDS temp,(adr_RSSI)
	cpi temp,30
	brlo ANZEIGE_24_UKW_SCAN_w
	rcall GRAFIC_ZEILE_4
	rcall ANZEIGE_FREQUENZ_AM_FM_KURZ
	rcall GRAFIC_SPACE
	rcall ANZEIGE_RSSI_KURZ
ANZEIGE_24_UKW_SCAN_w:
	pop temp6
	pop temp9
	POP ZH
	POP ZL

	; GERADE / Linie	
	mov temp1,temp6	; x1
	LSR temp1		; :2
	ldi temp2,100	; y1
	LDS temp,(adr_RSSI)
	sub temp2,temp
	mov temp3,temp6	; x2
	LSR temp3		; :2
	ldi temp4,100	; y2
	rcall GRAFIC_GERADE_TEMP1_4

	inc temp6
	adiw ZL,10
	dec temp9
	brne ANZEIGE_24_UKW_SCAN_s



ret
; #############################################################################
; #############################################################################
; #############################################################################
ANZEIGE_28_FM_AF_INITIALISIERUNG:
	rcall GRAFIC_CLEAR
	rcall TASTEN_VERSTECKT_DEFINIEREN

	ldi temp,28
	STS(adr_MENUE),temp
ret
; #############################################################################
; #############################################################################
; #############################################################################
ANZEIGE_28_FM_AF:
	; ZEIGER	
	STS(adr_RDS_AF_ZEIGER),NULL
	; ZEILE-1------------------------------------------------------------------
	rcall GRAFIC_ZEILE_1
	rcall ANZEIGE_NEXT_AF_KURZ3
	; ZEILE-2------------------------------------------------------------------
	rcall GRAFIC_ZEILE_2
	rcall ANZEIGE_NEXT_AF_KURZ3
	; ZEILE-3------------------------------------------------------------------
	rcall GRAFIC_ZEILE_3
	rcall ANZEIGE_NEXT_AF_KURZ3
	; ZEILE-4------------------------------------------------------------------
	rcall GRAFIC_ZEILE_4
	rcall ANZEIGE_NEXT_AF_KURZ3
	; ZEILE-5------------------------------------------------------------------
	rcall GRAFIC_ZEILE_5
	rcall ANZEIGE_NEXT_AF_KURZ3
	; ZEILE-6------------------------------------------------------------------
	rcall GRAFIC_ZEILE_6
	rcall ANZEIGE_NEXT_AF_KURZ3
	; ZEILE-7------------------------------------------------------------------
	rcall GRAFIC_ZEILE_7
	rcall ANZEIGE_NEXT_AF_KURZ3
	; ZEILE-8------------------------------------------------------------------
	rcall GRAFIC_ZEILE_8
	rcall ANZEIGE_NEXT_AF_KURZ3
	; ZEILE-9------------------------------------------------------------------
	rcall GRAFIC_ZEILE_9
	rcall ANZEIGE_NEXT_AF_KURZ3
	; ZEILE-10------------------------------------------------------------------
	rcall GRAFIC_ZEILE_10
	rcall ANZEIGE_NEXT_AF_KURZ3
	; ZEILE-11------------------------------------------------------------------
	rcall GRAFIC_ZEILE_11
	rcall ANZEIGE_NEXT_AF_KURZ3
	; ZEILE-12------------------------------------------------------------------
	rcall GRAFIC_ZEILE_12
	rcall ANZEIGE_NEXT_AF_KURZ3
	; ZEILE-13------------------------------------------------------------------
	rcall GRAFIC_ZEILE_13
	rcall ANZEIGE_NEXT_AF_KURZ3
ret
; #############################################################################
; #############################################################################
; #############################################################################
ANZEIGE_29_FM_RDS_GT_INITIALISIERUNG:
	; MENUE				
	ldi temp,29
	STS(adr_MENUE),temp
	; TASTEN (versteckt)
	rjmp TASTEN_VERSTECKT_DEFINIEREN
; #############################################################################
; #############################################################################
; #############################################################################
ANZEIGE_29_FM_RDS_GT:
	; Y-initialisieren	
	ldi YL,LOW (adr_RDS_BEREICH_GT32)
	ldi YH,HIGH(adr_RDS_BEREICH_GT32)
	ldi temp1,(0)	; Gruppentyp (GT)
	ldi temp2,(0-1)	; A/B Umschaltung
	; ZEILE1	
	rcall GRAFIC_ZEILE_1
	rcall ANZEIGE_29_FM_RDS_GT4
	; ZEILE2	
	rcall GRAFIC_ZEILE_2
	rcall ANZEIGE_29_FM_RDS_GT4
	; ZEILE3
	rcall GRAFIC_ZEILE_3
	rcall ANZEIGE_29_FM_RDS_GT4
	; ZEILE4
	rcall GRAFIC_ZEILE_4
	rcall ANZEIGE_29_FM_RDS_GT4
	; ZEILE4
	rcall GRAFIC_ZEILE_5
	rcall ANZEIGE_29_FM_RDS_GT4
	; ZEILE4
	rcall GRAFIC_ZEILE_6
	rcall ANZEIGE_29_FM_RDS_GT4
	; ZEILE4
	rcall GRAFIC_ZEILE_7
	rcall ANZEIGE_29_FM_RDS_GT4
	; ZEILE4
	rcall GRAFIC_ZEILE_8
	rjmp ANZEIGE_29_FM_RDS_GT4
;------------------------------------------------------------------------------
ANZEIGE_29_FM_RDS_GT4:
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	inc temp1	; Gruppentyp (GT)	
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	inc temp1	; Gruppentyp (GT)	
ret
;------------------------------------------------------------------------------
ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP:
	inc temp2	; A/B				
	andi temp2,0b00000001

	LD temp,Y+	; aus SRAM laden	
	tst temp
	breq ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP_NO
	
	push temp1	; Sicherungskopie	
	push temp2
	rcall AUSGABE_ZAHL_2_STELLEN_FORMATIERT_TEMP1
	pop temp2	; wider herstellen	
	pop temp1
	tst temp2
	brne ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_B
;------------------------------------------------------------------------------
ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_A:
	ldi temp,'A'
	rjmp PAKET_DATA_TEMP
;------------------------------------------------------------------------------
ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_B:
	ldi temp,'B'
	rjmp PAKET_DATA_TEMP
;------------------------------------------------------------------------------
ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP_NO:
	rjmp GRAFIC_UNTERSTRICH3
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_30_HAUPTMENUE_AM_INITIALISIERUNG:
	rcall TASTEN_VERSTECKT_DEFINIEREN
	ldi temp,30
	STS(adr_MENUE),temp
	rjmp TASTEN_BEDIENFELD_DEFINIEREN
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_30_HAUPTMENUE_AM:
	; ZEILE1	
	rcall GRAFIC_ZEILE_1
	rcall ANZEIGE_SENDERNAME_FREQUENZ_AM_FM_KURZ
	; ZEILE2	
	rcall GRAFIC_ZEILE_2

ret
; #############################################################################
; #############################################################################
; #############################################################################
ANZEIGE_51_SENDER_SAVE_INITIALISIERUNG:
	rcall TASTEN_RAHMENTYP_HELL
	rcall TASTE_39_SENDERSPEICHER_LOAD_INITIALISIERUNG
	rcall TASTEN_RAHMENTYP_DUNKEL
	; Programmiermodus		
	STS(adr_PROGRAMMIERMODUS_AKTIV),EINS
	STS(adr_TASTE),NULL
	ldi temp,51
	STS(adr_MENUE),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ERROR:
	LDS temp,(adr_ERROR_CODE)
	tst temp
	brne ANZEIGE_ERROR_RUN
	ret
ANZEIGE_ERROR_RUN:
	rcall GRAFIC_TEXT_CLEAR
	LDS temp1,(adr_ERROR_CODE)
	rcall AUSGABE_ZAHL_3_STELLEN_FORMATIERT_TEMP1
	rjmp wait_1s
; ##############################################################################
; ##############################################################################
; ##############################################################################
