; #############################################################################
; #############################################################################
; #############################################################################
TASTEN_ABFRAGEN:
	; NULL							
	STS(adr_TASTE),NULL
	; INHALT_SENDEPUFFER_ANFORDERN	
	rcall PAKET_DISPLAY_SENDEPUFFER_ANFORDERN_TEMP1_SRAM
	; Daten vorhanden ?				
	tst temp1
	brne TASTEN_ABFRAGEN_RUN
	ret
;------------------------------------------------------------------------------
TASTEN_ABFRAGEN_RUN:
	; Tasteninformation auslesen	
	LDS temp,(adr_GRAFIC_PUFFER256+0)
	cpi temp,27	; ESC	
	brne TASTEN_ABFRAGEN_FERTIG
	LDS temp,(adr_GRAFIC_PUFFER256+1)
	cpi temp,'A'; "A"	
	brne TASTEN_ABFRAGEN_FERTIG
	LDS temp,(adr_GRAFIC_PUFFER256+2)
	cpi temp,1	; 1		
	brne TASTEN_ABFRAGEN_FERTIG
	LDS temp1,(adr_GRAFIC_PUFFER256+3)
	STS(adr_TASTE),temp1	; Tastenwert	
;------------------------------------------------------------------------------
TASTEN_ABFRAGEN_FERTIG:
	; Taste gedrckt ?		
	tst temp1
	brne TASTEN_AUSWERTEN
	ret
;------------------------------------------------------------------------------
TASTEN_AUSWERTEN:
	; >51 ignorieren		
	cpi temp1,51+1
	brlo TASTEN_AUSWERTEN_RUN
	ret
TASTEN_AUSWERTEN_RUN:
	; Z-initialisieren		
	ldi ZL, LOW(TASTEN_AUSWERTEN_SPRUNGMARKE)
	ldi ZH,HIGH(TASTEN_AUSWERTEN_SPRUNGMARKE)
	add ZL,temp1
	adc ZH,NULL
	ijmp	; Sprung nach Z	
TASTEN_AUSWERTEN_SPRUNGMARKE:
;------------------------------------------------------------------------------
	ret												; 0
	rjmp NEUSTART_MIT_WDR_FEHLER					; 01
	rjmp SI4735_POWER_DOWN							; 02
	rjmp SI4735_POWER_UP_AM_LW						; 03
	rjmp SI4735_POWER_UP_AM_MW						; 04
	rjmp SI4735_POWER_UP_AM_KW						; 05
	rjmp SI4735_POWER_UP_FM							; 06
	ret
	rjmp TASTE_08_TASTENSPERRE_AUFHEBEN				; 08
	ret
	rjmp ANZEIGE_10_HAUPTMENUE_INITIALISIERUNG		; 10
	rjmp ANZEIGE_11_HELLIGKEIT_INITIALISIERUNG		; 11
	rjmp SI4735_RX_VOLUME_PLUS						; 12
	rjmp SI4735_RX_VOLUME_MINUS						; 13
	rjmp TASTE_14_SEEK_START_DOWN					; 14
	rjmp TASTE_15_STEPP_DOWN						; 15
	rjmp TASTE_16_SEEK_START_UP						; 16
	rjmp TASTE_17_STEPP_UP							; 17
	rjmp TASTE_18_FREQUENZ_MANUELL
	ret
	rjmp TASTE_20_DISPLAY 							; 20
	rjmp ANZEIGE_21_INFO_AM_FM_INITIALISIERUNG		; 21
	ret 
	ret 
	rjmp ANZEIGE_24_FM_SCAN_INITIALISIERUNG			; 24
	ret
	ret 
	ret 
	rjmp ANZEIGE_28_FM_AF_INITIALISIERUNG			; 28
	rjmp ANZEIGE_29_FM_RDS_GT_INITIALISIERUNG		; 29
	rjmp ANZEIGE_30_HAUPTMENUE_AM_INITIALISIERUNG 	; 30
	ret
	ret
	ret
	ret
	ret	
	ret
	ret
	ret
	rjmp TASTE_39_SENDERSPEICHER_LOAD_INITIALISIERUNG			
	rjmp TASTE_40_SENDERSPEICHER_LOAD				; 40
	rjmp TASTE_40_SENDERSPEICHER_LOAD
	rjmp TASTE_40_SENDERSPEICHER_LOAD
	rjmp TASTE_40_SENDERSPEICHER_LOAD
	rjmp TASTE_40_SENDERSPEICHER_LOAD
	rjmp TASTE_40_SENDERSPEICHER_LOAD
	rjmp TASTE_40_SENDERSPEICHER_LOAD
	rjmp TASTE_40_SENDERSPEICHER_LOAD
	rjmp TASTE_40_SENDERSPEICHER_LOAD
	rjmp TASTE_40_SENDERSPEICHER_LOAD
	ret												; 50
	rjmp ANZEIGE_51_SENDER_SAVE_INITIALISIERUNG		; 51
; #############################################################################
; #############################################################################
; #############################################################################
TASTE_08_TASTENSPERRE_AUFHEBEN:
	STS(adr_TASTENSPERRE_AKTIV),NULL
	rjmp ANZEIGE_10_HAUPTMENUE_INITIALISIERUNG
; #############################################################################
; #############################################################################
; #############################################################################
TASTE_14_SEEK_START_DOWN:
	LDS temp,(adr_MODUS_AM_FM)
	cpi temp,(MODUS_UKW)
	brne TASTE_14_SEEK_START_DOWN_AM
	rjmp SI4735_FM_SEEK_START_DOWN
TASTE_14_SEEK_START_DOWN_AM:
	rjmp SI4735_AM_SEEK_START_DOWN
; #############################################################################
; #############################################################################
; #############################################################################
TASTE_15_STEPP_DOWN:
	LDS temp,(adr_MODUS_AM_FM)
	cpi temp,(MODUS_UKW)
	brne TASTE_15_STEPP_DOWN_AM
	rjmp SI4735_FM_STEPP_DOWN
TASTE_15_STEPP_DOWN_AM:
	rjmp SI4735_AM_STEPP_DOWN
; #############################################################################
; #############################################################################
; #############################################################################
TASTE_16_SEEK_START_UP:
	LDS temp,(adr_MODUS_AM_FM)
	cpi temp,(MODUS_UKW)
	brne TASTE_16_SEEK_START_UP_AM
	rjmp SI4735_FM_SEEK_START_UP
TASTE_16_SEEK_START_UP_AM:
	rjmp SI4735_AM_SEEK_START_UP
; #############################################################################
; #############################################################################
; #############################################################################
TASTE_17_STEPP_UP:
	LDS temp,(adr_MODUS_AM_FM)
	cpi temp,(MODUS_UKW)
	brne TASTE_17_STEPP_UP_AM
	rjmp SI4735_FM_STEPP_UP
TASTE_17_STEPP_UP_AM:
	rjmp SI4735_AM_STEPP_UP
; #############################################################################
; #############################################################################
; #############################################################################
TASTE_18_FREQUENZ_MANUELL:
	LDS temp,(adr_MODUS_AM_FM)
	cpi temp,(MODUS_UKW)
	brne TASTE_18_FREQUENZ_MANUELL_AM
TASTE_18_FREQUENZ_MANUELL_FM:
	rjmp ANZEIGE_18_FM_EINGABE_FREQUENZ_INITIALISIERUNG
TASTE_18_FREQUENZ_MANUELL_AM:
	rjmp ANZEIGE_19_AM_EINGABE_FREQUENZ_INITIALISIERUNG
; #############################################################################
; #############################################################################
; #############################################################################
TASTE_20_DISPLAY:
	LDS temp,(adr_MODUS_AM_FM)
	cpi temp,(MODUS_UKW)
	brne TASTE_20_DISPLAY_AM
TASTE_20_DISPLAY_FM:
	rjmp ANZEIGE_20_HAUPTMENUE_FM_INITIALISIERUNG
TASTE_20_DISPLAY_AM:
	rjmp ANZEIGE_30_HAUPTMENUE_AM_INITIALISIERUNG
; #############################################################################
; #############################################################################
; #############################################################################
TASTE_39_SENDERSPEICHER_LOAD_INITIALISIERUNG:
	rcall GRAFIC_CLEAR
	STS(adr_MENUE),NULL
	rjmp EEPROM_TASTEN_LADEN
; #############################################################################
; #############################################################################
; #############################################################################
; BYTE0		- MODUS (LW=1/MW=2/KW=3/UKW=4)										
; BYTE1		- FREQUENZ (LOW)													
; BYTE2		- FREQUENZ (HIGH)													
; BYTE3...10- Sendername (8 Bytes)												
; BYTE11..49- AF (39 Bytes)														
TASTE_40_SENDERSPEICHER_LOAD:
	LDS temp,(adr_PROGRAMMIERMODUS_AKTIV)
	tst temp
	breq TASTE_40_SENDERSPEICHER_LOAD_RUN
	ret
;-------------------------------------------------------------------------------
TASTE_40_SENDERSPEICHER_LOAD_RUN:
	; CLEAR		
	rcall RDS_CLEAR
	; Tastenwert
	LDS temp,(adr_TASTE); 40...49
	subi temp,40
	; mal 50	
	ldi temp1,50
	mul temp,temp1
	mov YL,R0
	mov YH,R1
	ldi ZL,LOW (adr_EEPROM_TASTEN+0); EEPROMADRESSE	
	ldi ZH,HIGH(adr_EEPROM_TASTEN+0)
	add ZL,YL
	adc ZH,YH
;-------------------------------------------------------------------------------
	; MODUS laden						
	rcall EEPROM_READ_PLUS_TEMP
	; vergleich mit momentanen Modus	
	LDS temp1,(adr_MODUS_AM_FM)
	cp temp,temp1
	breq TASTE_40_SENDERSPEICHER_LOAD_MODUS_OK
	; Umschaltung Wellenbereiche		
	cpi temp,(MODUS_LW)
	breq TASTE_40_SENDERSPEICHER_LOAD_LW
	cpi temp,(MODUS_MW)
	breq TASTE_40_SENDERSPEICHER_LOAD_MW
	cpi temp,(MODUS_KW)
	breq TASTE_40_SENDERSPEICHER_LOAD_KW
	cpi temp,(MODUS_UKW)
	breq TASTE_40_SENDERSPEICHER_LOAD_FM
	rjmp TASTE_40_SENDERSPEICHER_LOAD_MODUS_OK
	; Umschaltung Wellenbereiche		
TASTE_40_SENDERSPEICHER_LOAD_LW:
	rcall SI4735_POWER_UP_AM_LW
	rjmp TASTE_40_SENDERSPEICHER_LOAD_RUN	; nochmal von vorn	
TASTE_40_SENDERSPEICHER_LOAD_MW:
	rcall SI4735_POWER_UP_AM_MW
	rjmp TASTE_40_SENDERSPEICHER_LOAD_RUN	; nochmal von vorn	
TASTE_40_SENDERSPEICHER_LOAD_KW:
	rcall SI4735_POWER_UP_AM_KW
	rjmp TASTE_40_SENDERSPEICHER_LOAD_RUN	; nochmal von vorn	
TASTE_40_SENDERSPEICHER_LOAD_FM:
	rcall SI4735_POWER_UP_FM
	rjmp TASTE_40_SENDERSPEICHER_LOAD_RUN	; nochmal von vorn	
TASTE_40_SENDERSPEICHER_LOAD_MODUS_OK:
;-------------------------------------------------------------------------------
	; MODUS	(AM) ?						
	LDS temp,(adr_MODUS_AM_FM)
	cpi temp,(MODUS_LW)
	breq TASTE_40_SENDERSPEICHER_LOAD_MODUS_AM
	cpi temp,(MODUS_MW)
	breq TASTE_40_SENDERSPEICHER_LOAD_MODUS_AM
	cpi temp,(MODUS_KW)
	breq TASTE_40_SENDERSPEICHER_LOAD_MODUS_AM
;-------------------------------------------------------------------------------
TASTE_40_SENDERSPEICHER_LOAD_MODUS_FM:
	; FREQUENZ (FM)			
	rcall EEPROM_READ_PLUS_TEMP
	mov temp1,temp
	rcall EEPROM_READ_PLUS_TEMP
	mov temp2,temp
	rcall SI4735_FM_TUNE_FREQ_TEMP1_2
;-------------------------------------------------------------------------------
	; TEXT		(8Byte)		
	rcall EEPROM_READ_PLUS_TEMP
	STS(adr_RDS_BEREICH_SENDERNAME8+0),temp
	rcall EEPROM_READ_PLUS_TEMP
	STS(adr_RDS_BEREICH_SENDERNAME8+1),temp
	rcall EEPROM_READ_PLUS_TEMP
	STS(adr_RDS_BEREICH_SENDERNAME8+2),temp
	rcall EEPROM_READ_PLUS_TEMP
	STS(adr_RDS_BEREICH_SENDERNAME8+3),temp
	rcall EEPROM_READ_PLUS_TEMP
	STS(adr_RDS_BEREICH_SENDERNAME8+4),temp
	rcall EEPROM_READ_PLUS_TEMP
	STS(adr_RDS_BEREICH_SENDERNAME8+5),temp
	rcall EEPROM_READ_PLUS_TEMP
	STS(adr_RDS_BEREICH_SENDERNAME8+6),temp
	rcall EEPROM_READ_PLUS_TEMP
	STS(adr_RDS_BEREICH_SENDERNAME8+7),temp
;-------------------------------------------------------------------------------
	; AF (39Bytes)		
	ldi temp9,39
TASTE_40_SENDERSPEICHER_LOAD_MODUS_FM_s:
	; Y- initialisieren	
	ldi YL,LOW (adr_RDS_BEREICH_AF205)
	ldi YH,HIGH(adr_RDS_BEREICH_AF205)
	rcall EEPROM_READ_PLUS_TEMP
	; > 204 ?			
	cpi temp,204+1
	brsh TASTE_40_SENDERSPEICHER_LOAD_MODUS_FM_w
	add YL,temp
	adc YH,NULL
	ST Y,EINS	; EINS
TASTE_40_SENDERSPEICHER_LOAD_MODUS_FM_w:
	dec temp9
	brne TASTE_40_SENDERSPEICHER_LOAD_MODUS_FM_s
	; ANZEIGE			
	rjmp ANZEIGE_20_HAUPTMENUE_FM_INITIALISIERUNG
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
TASTE_40_SENDERSPEICHER_LOAD_MODUS_AM:
	; FREQUENZ (AM)	
	rcall EEPROM_READ_PLUS_TEMP
	mov temp1,temp
	rcall EEPROM_READ_PLUS_TEMP
	mov temp2,temp
	rcall SI4735_AM_TUNE_FREQ_TEMP1_2
	; ANZEIGE	
	rjmp ANZEIGE_30_HAUPTMENUE_AM_INITIALISIERUNG
; #############################################################################
; #############################################################################
; #############################################################################
; BYTE0		- MODUS (LW=1/MW=2/KW=3/UKW=4)										
; BYTE1		- FREQUENZ (LOW)													
; BYTE2		- FREQUENZ (HIGH)													
; BYTE3...10- Sendername (8 Bytes)												
; BYTE11..49- AF (39 Bytes)														
TASTE_51_SENDER_SAVE:
	LDS temp,(adr_TASTE)
	tst temp
	brne TASTE_51_SENDER_SAVE_RUN
	ret
;-------------------------------------------------------------------------------
TASTE_51_SENDER_SAVE_RUN:
	; TASTENSPERRE	
	STS(adr_TASTENSPERRE_AKTIV),EINS
	; TASTE			
	LDS temp,(adr_TASTE)
	subi temp,40
	ldi temp1,50
	mul temp,temp1
	mov YL,R0
	mov YH,R1
	; EEPROMADRESSE	
	ldi ZL,LOW (adr_EEPROM_TASTEN)
	ldi ZH,HIGH(adr_EEPROM_TASTEN)
	add ZL,YL
	adc ZH,YH
;----------------------------------------------------------------------------------
	; MODUS 	(1Byte)		
	LDS temp1,(adr_MODUS_AM_FM)
	rcall EEPROM_WRITE_PLUS_TEMP1
;----------------------------------------------------------------------------------
	; FREQUENZ	(2Byte)		
	LDS temp1,(adr_FREQUENZ_AM_FM_L)
	rcall EEPROM_WRITE_PLUS_TEMP1
	LDS temp1,(adr_FREQUENZ_AM_FM_H)
	rcall EEPROM_WRITE_PLUS_TEMP1
;----------------------------------------------------------------------------------
	; TEXT		(8Byte)		
	LDS temp1,(adr_SENDERNAME_FREQUENZ_TEXT8+0)
	rcall EEPROM_WRITE_PLUS_TEMP1
	LDS temp1,(adr_SENDERNAME_FREQUENZ_TEXT8+1)
	rcall EEPROM_WRITE_PLUS_TEMP1
	LDS temp1,(adr_SENDERNAME_FREQUENZ_TEXT8+2)
	rcall EEPROM_WRITE_PLUS_TEMP1
	LDS temp1,(adr_SENDERNAME_FREQUENZ_TEXT8+3)
	rcall EEPROM_WRITE_PLUS_TEMP1
	LDS temp1,(adr_SENDERNAME_FREQUENZ_TEXT8+4)
	rcall EEPROM_WRITE_PLUS_TEMP1
	LDS temp1,(adr_SENDERNAME_FREQUENZ_TEXT8+5)
	rcall EEPROM_WRITE_PLUS_TEMP1
	LDS temp1,(adr_SENDERNAME_FREQUENZ_TEXT8+6)
	rcall EEPROM_WRITE_PLUS_TEMP1
	LDS temp1,(adr_SENDERNAME_FREQUENZ_TEXT8+7)
	rcall EEPROM_WRITE_PLUS_TEMP1
;----------------------------------------------------------------------------------
; 	AF CLEAR (39BYTES)		
	ldi temp9,39	; Schleife	
TASTE_51_SENDER_SAVE_c:
	ldi temp1,255
	rcall EEPROM_WRITE_PLUS_TEMP1
	dec temp9
	brne TASTE_51_SENDER_SAVE_c
	sbiw ZL,39		; z-39
;----------------------------------------------------------------------------------
; 	AF SAVE(39BYTES) 
	; Y- initialisieren	
	ldi YL,LOW (adr_RDS_BEREICH_AF205)
	ldi YH,HIGH(adr_RDS_BEREICH_AF205)
	clr temp1		; AF (0=87,5 204=107,9)
	ldi temp8,39	; max Treffer	
	ldi temp9,204	; Schleife		
TASTE_51_SENDER_SAVE_s:
	LD temp,Y+
	tst temp
	breq TASTE_51_SENDER_SAVE_w
	; AF SAVE
	rcall EEPROM_WRITE_PLUS_TEMP1
	dec temp8		; Treffer		
	breq TASTE_51_SENDER_SAVE_AF_ENDE
TASTE_51_SENDER_SAVE_w:
	inc temp1		; AF+1
	dec temp9		; Schleife		
	brne TASTE_51_SENDER_SAVE_s
TASTE_51_SENDER_SAVE_AF_ENDE:
;----------------------------------------------------------------------------------
	; PROGRAMMIERMODUS
	STS(adr_PROGRAMMIERMODUS_AKTIV),NULL
	; ANZEIGE			
	rjmp TASTE_39_SENDERSPEICHER_LOAD_INITIALISIERUNG
; #############################################################################
; #############################################################################
; #############################################################################
TASTEN_BEDIENFELD_DEFINIEREN:
	ldi ZL,  low(TASTE_13_LAUTSTAERKE_MINUS*2)	
	ldi ZH, high(TASTE_13_LAUTSTAERKE_MINUS*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_14_SENDER_SEEK_DOWN*2)
	ldi ZH, high(TASTE_14_SENDER_SEEK_DOWN*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_15_SENDER_STEP_DOWN*2)	
	ldi ZH, high(TASTE_15_SENDER_STEP_DOWN*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_18_SENDER_MANUELL*2)	
	ldi ZH, high(TASTE_18_SENDER_MANUELL*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_17_SENDER_STEP_UP*2)	
	ldi ZH, high(TASTE_17_SENDER_STEP_UP*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_16_SENDER_SEEK_UP*2)	
	ldi ZH, high(TASTE_16_SENDER_SEEK_UP*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_12_LAUTSTAERKE_PLUS*2)	
	ldi ZH, high(TASTE_12_LAUTSTAERKE_PLUS*2)
	rjmp TASTE_DEFINIEREN_Z
; #############################################################################
; #############################################################################
; #############################################################################
TASTEN_VERSTECKT_DEFINIEREN:
	rcall GRAFIC_CLEAR
	; HAUPTMENUE	
	ldi ZL,  low(TASTE_10_HAUPTMENUE*2)	
	ldi ZH, high(TASTE_10_HAUPTMENUE*2)
	rcall TASTE_DEFINIEREN_Z
	; SENDER-LOAD	
	ldi ZL,  low(TASTE_39_SENDERLOAD*2)	
	ldi ZH, high(TASTE_39_SENDERLOAD*2)
	rcall TASTE_DEFINIEREN_Z
	; SENDER-SAVE	
	LDS temp,(adr_TASTENSPERRE_AKTIV)
	tst temp
	brne TASTEN_VERSTECKT_DEFINIEREN_w
	ldi ZL,  low(TASTE_51_SENDERSAVE*2)	
	ldi ZH, high(TASTE_51_SENDERSAVE*2)
	rcall TASTE_DEFINIEREN_Z
	rcall wait_1s
TASTEN_VERSTECKT_DEFINIEREN_w:

	rcall WAIT_100ms
	rcall WAIT_100ms
	rcall WAIT_100ms
	rjmp GRAFIC_GRAFIC_CLEAR
; #############################################################################
; #############################################################################
; #############################################################################
; ESC A L Cod n1																	
;Der Touchbereich mit dem Return-Code (Code=0: alle) wird aus der Abfrage entfernt.	
;Mit n1=0 bleibt der Bereich am Display sichtbar, mit n1=1 wird der Bereich gelscht.
TASTEN_CLEAR:
	rcall GRAFIC_ESC	; ESC senden	
	rcall GRAFIC_A
	rcall GRAFIC_L
	rcall GRAFIC_NULL
	rcall GRAFIC_1
	rjmp PAKET_SENDEN
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Rahmentyp einstellen ESC A E n1												
TASTEN_RAHMENTYP_DUNKEL:
	rcall GRAFIC_ESC 
	rcall GRAFIC_A
	rcall GRAFIC_E
	rjmp GRAFIC_2
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Rahmentyp einstellen ESC A E n1												
TASTEN_RAHMENTYP_HELL:
	rcall GRAFIC_ESC 
	rcall GRAFIC_A
	rcall GRAFIC_E
	rjmp GRAFIC_1
; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTEN_ZAHLENFELD_INITIALISIERUNG:
	rcall GRAFIC_CLEAR

	STS(adr_EINGABE_ZAHL_BYTE0),NULL
	STS(adr_EINGABE_ZAHL_BYTE1),NULL
	STS(adr_EINGABE_ZAHL_BYTE2),NULL
	STS(adr_EINGABE_ZAHL_BYTE3),NULL


	; ZAHLEN		
	ldi ZL,  low(TASTE_101_ZAHL_1*2)	; TASTE 1
	ldi ZH, high(TASTE_101_ZAHL_1*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_102_ZAHL_2*2)	; TASTE 2
	ldi ZH, high(TASTE_102_ZAHL_2*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_103_ZAHL_3*2)	; TASTE 3
	ldi ZH, high(TASTE_103_ZAHL_3*2)
	rcall TASTE_DEFINIEREN_Z

	ldi ZL,  low(TASTE_104_ZAHL_4*2)	; TASTE 4
	ldi ZH, high(TASTE_104_ZAHL_4*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_105_ZAHL_5*2)	; TASTE 5
	ldi ZH, high(TASTE_105_ZAHL_5*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_106_ZAHL_6*2)	; TASTE 6
	ldi ZH, high(TASTE_106_ZAHL_6*2)
	rcall TASTE_DEFINIEREN_Z

	ldi ZL,  low(TASTE_107_ZAHL_7*2)	; TASTE 7
	ldi ZH, high(TASTE_107_ZAHL_7*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_108_ZAHL_8*2)	; TASTE 8
	ldi ZH, high(TASTE_108_ZAHL_8*2)
	rcall TASTE_DEFINIEREN_Z
	ldi ZL,  low(TASTE_109_ZAHL_9*2)	; TASTE 9
	ldi ZH, high(TASTE_109_ZAHL_9*2)
	rcall TASTE_DEFINIEREN_Z

	ldi ZL,  low(TASTE_100_ZAHL_0*2)	; TASTE 0
	ldi ZH, high(TASTE_100_ZAHL_0*2)
	rcall TASTE_DEFINIEREN_Z


	ldi ZL,  low(TASTE_111_ZAHL_OK*2)	; TASTE "OK"
	ldi ZH, high(TASTE_111_ZAHL_OK*2)
	rcall TASTE_DEFINIEREN_Z

	ldi ZL,  low(TASTE_112_ZAHL_ESC*2)	; TASTE "ESC"
	ldi ZH, high(TASTE_112_ZAHL_ESC*2)
	rjmp TASTE_DEFINIEREN_Z
; #############################################################################
; #############################################################################
; #############################################################################
TASTEN_ZAHLENFELD_AUSWERTEN:
	LDS  temp,(adr_TASTE)
	; >=100
	cpi temp,100
	brsh TASTEN_ZAHLENFELD_AUSWERTEN_w
	ret
TASTEN_ZAHLENFELD_AUSWERTEN_w:
	; <= 109
	cpi temp,109+1
	brlo TASTEN_ZAHLENFELD_AUSWERTEN_ww
	ret
TASTEN_ZAHLENFELD_AUSWERTEN_ww:
	rcall FUNKTION_EINGABE_ZAHL_NACH_TEMP1_4
	rcall FUNKTION_TEMP1_4_MAL_10

	LDS temp,(adr_TASTE)
	subi temp,100
	
	add temp1,temp
	adc temp2,NULL
	adc temp3,NULL
	adc temp4,NULL

	STS(adr_EINGABE_ZAHL_BYTE0),temp1
	STS(adr_EINGABE_ZAHL_BYTE1),temp2
	STS(adr_EINGABE_ZAHL_BYTE2),temp3
	STS(adr_EINGABE_ZAHL_BYTE3),temp4

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Display 160x104																
; TASTE: ESC A T x1 y1 x2 y2 dowCod upCod Text NULL								
; Eine TASTE definieren															
;																				
;	INP: Z (TABELLE)															
;																				
TASTE_DEFINIEREN_Z:
	rcall GRAFIC_ESC	; ESC senden
	rcall GRAFIC_A
	rcall GRAFIC_T
;-------------------------------------------
	LPM temp, Z+  		; X1		
	mov temp1,temp
	rcall PAKET_DATA_TEMP
;-------------------------------------------
	LPM temp, Z+  		; Y1		
	mov temp2,temp
	rcall PAKET_DATA_TEMP
;-------------------------------------------
	LPM temp, Z+  		; X2		
	add temp,temp1
	rcall PAKET_DATA_TEMP
;-------------------------------------------
	LPM temp, Z+  		; Y2		
	add temp,temp2
	rcall PAKET_DATA_TEMP
;-------------------------------------------
	LPM temp, Z+  		; dowCod	
	rcall PAKET_DATA_TEMP
;-------------------------------------------
	rcall GRAFIC_NULL	; upCod		
;-------------------------------------------
	rcall GRAFIC_C		; zentriert
;-------------------------------------------
	; SCHLEIFE			
TASTE_DEFINIEREN_Z_SCHLEIFE:
	LPM temp, Z+  		; TEXT		
	tst temp			; NULL ?		
	breq TASTE_DEFINIEREN_Z_FERTIG
	rcall PAKET_DATA_TEMP
	rjmp TASTE_DEFINIEREN_Z_SCHLEIFE
;-------------------------------------------
TASTE_DEFINIEREN_Z_FERTIG:
	rcall GRAFIC_NULL	; NULL				
	rjmp PAKET_SENDEN
; #############################################################################
; #############################################################################
; #############################################################################
